# ATAnySimpleType Class Reference

This class represents the atomic types (ie, the simple types which are not list or union types) with type annotation xs:anySimpleType. More...

`#include <ATAnySimpleType.hpp>`

Inheritance diagram for ATAnySimpleType:

[legend]
List of all members.

## Public Member Functions

virtual const XMLCh * | getPrimitiveTypeName () const =0
virtual const XMLCh * | getTypeURI () const =0
virtual const XMLCh * | getTypeName () const =0
virtual const XMLCh * | asString (const DynamicContext *context) const =0
virtual bool | equals (const AnyAtomicType::Ptr &target, const DynamicContext *context) const =0
virtual AnyAtomicType::AtomicObjectType | getPrimitiveTypeIndex () const =0

## Detailed Description

This class represents the atomic types (ie, the simple types which are not list or union types) with type annotation xs:anySimpleType.

## Member Function Documentation

virtual const XMLCh* ATAnySimpleType::asString | ( | const DynamicContext * | context | ) | const`[pure virtual]`

| Implements AnyAtomicType.

virtual bool ATAnySimpleType::equals | ( | const AnyAtomicType::Ptr & | target,
|  | const DynamicContext * | context
| ) | const`[pure virtual]`

| Implements AnyAtomicType.

virtual AnyAtomicType::AtomicObjectType ATAnySimpleType::getPrimitiveTypeIndex | ( |  | ) | const`[pure virtual]`

| Implements AnyAtomicType.

virtual const XMLCh* ATAnySimpleType::getPrimitiveTypeName | ( |  | ) | const`[pure virtual]`

| Implements AnyAtomicType.

virtual const XMLCh* ATAnySimpleType::getTypeName | ( |  | ) | const`[pure virtual]`

| Implements AnyAtomicType.

virtual const XMLCh* ATAnySimpleType::getTypeURI | ( |  | ) | const`[pure virtual]`

| Implements AnyAtomicType.

The documentation for this class was generated from the following file:

- ATAnySimpleType.hpp